import { defineStore } from 'pinia';
import { ref } from 'vue';

export const useResourcePanelStore = defineStore('vimp-resource-panel', () => {
  const collapsed = ref<boolean>(false);
  const searchPattern = ref<string>('');

  const toggleCollapsed = () => {
    collapsed.value = !collapsed.value;
  };

  return {
    collapsed,
    searchPattern,

    toggleCollapsed,
  };
});
